| Home | Libraries | People | FAQ | More

###### connection::handshake (1 of 2 overloads)

Performs the MySQL-level handshake.

###### Synopsis

    void
    handshake(
        const handshake_params& params,
        error_code& ec,
        diagnostics& diag);

###### Description

Does not connect the underlying stream. If the `Stream` template parameter fulfills the `SocketConnection` requirements, use `connection::connect` instead of this function.

If using a SSL-capable stream, the SSL handshake will be performed by this function.